COMMAND_PREFIX = "535a30300000000000"

CUSTOM_EFFECT_COLOURS = {
    "Breath": {
        "decimal": 128,
        "colours": (
            "Red, Green, Blue",
            "Rainbow",
            "Green",
            "Azure",
            "Blue",
            "Purple",
            "Red",
            "Orange",
            "Yellow",
            "White",
            "Green, Blue",
        ),
    },
    "Shadow": {
        "decimal": 138,
        "colours": (
            "Red, Yellow",
            "Red, Green",
            "Red, Purple",
            "Red, Blue",
            "Green, Yellow",
            "Green, Azure",
            "Green, Blue",
            "Blue, Azure",
            "Blue, Purple",
            "Yellow, White",
            "Red, White",
            "Green, White",
            "Azure, White",
            "Blue, White",
            "Purple, White",
        ),
    },
    "Flash": {
        "decimal": 153,
        "colours": (
            "Red, Green, Blue",
            "Rainbow",
            "Green",
            "Azure",
            "Blue",
            "Purple",
            "Red",
            "Orange",
            "Yellow",
            "White",
        ),
    },
    "Flicker": {
        "decimal": 163,
        "colours": (
            "Red, Green, Blue",
            "Rainbow",
            "Green",
            "Azure",
            "Blue",
            "Purple",
            "Red",
            "Orange",
            "Yellow",
            "White",
        ),
    },
    "Scene": {
        "decimal": 173,
        "colours": (
            "Birthday",
            "Girlfriends",
            "Friends",
            "Workmates",
            "Family",
            "Lover",
        ),
    },
    "Mood": {
        "decimal": 179,
        "colours": (
            "Red",
            "Orange",
            "Yellow",
            "Green",
            "Grass",
            "Azure",
            "Blue",
            "Pink",
            "Gold",
            "Color",
            "True Color",
        ),
    },
    "Selected": {
        "decimal": 191,
        "colours": ("Savasana", "", "Sunrise", "", "Unicorns"),
    },
}

HEXAGON_CUSTOM_EFFECT_MODES = [
    ("01", "00"),
    ("02", "00"),
    ("05", "10"),
    ("05", "30"),
    ("05", "40"),
    ("05", "50"),
    ("05", "70"),
    ("05", "80"),
    ("05", "90"),
    ("05", "a0"),
    ("05", "b0"),
    ("05", "c0"),
    ("05", "00"),
    ("05", "20"),
    ("05", "30"),
    ("06", "00"),
    ("06", "10"),
    ("06", "20"),
    ("06", "30"),
    ("06", "50"),
    ("05", "f0"),
    ("05", "10"),
    ("05", "40"),
    ("05", "50"),
    ("06", "60"),
    ("06", "70"),
    ("06", "80"),
]

STRIP_CUSTOM_EFFECT_MODES = [
    ("01", "00"),
    ("02", "00"),
    ("05", "10"),
    ("05", "30"),
    ("05", "40"),
    ("05", "50"),
    ("05", "70"),
    ("05", "c0"),
    ("05", "f0"),
    ("05", "10"),
    ("06", "00"),
    ("06", "30"),
    ("06", "60"),
]

DEFAULT_EFFECTS = {
    "80s Club": ["049a0000"],
    "Cherry Blossom": ["04940800"],
    "Cocktail Parade": ["05bd0690"],
    "Instagrammer": ["03bc0190"],
    "Pensieve": ["04c40600"],
    "Savasana": ["04970400"],
    "Sunrise": ["01c10a00"],
    "The Circus": ["04810130"],
    "Unicorns": ["049a0e00"],
    "Christmas": ["068b0900"],
    "Rainbow Flow": ["03810690"],
    "Music Mode": ["07bd0990"],
}

STRIP_DYANMIC_EFFECTS = {
    "Graffiti": [
        "93fefefe",
        "9305088c",
        "93f0a003",
        "93fa00ff",
        "93ffaf00",
        "9300c3ff",
        "93ff0091",
    ],
    "Color train": ["069a0d00"],
    "Snow": ["058908c0"],
    "White link": ["06a20e00"],
    "Tron": [
        "93fefefe",
        "9304058b",
        "93f0b003",
        "93ff0000",
        "930087ff",
        "9300ff64",
    ],
    "Urban beauty": [
        "93fefefe",
        "930304b4",
        "93f04000",
        "93ff00c3",
        "9300ffc3",
    ],
    "Cyberpunk": [
        "93fefefe",
        "9303052c",
        "93f0a801",
        "93ff00d2",
        "9300c3ff",
    ],
    "Tropic affair": [
        "93fefefe",
        "93050713",
        "93f08003",
        "9319ff00",
        "93fff000",
        "93ff9b00",
        "93ff0000",
    ],
    "Go by": [
        "93fefefe",
        "93030448",
        "93f06000",
        "93ff0000",
        "9300faff",
    ],
    "Break dance": [
        "93fefefe",
        "9303048c",
        "93f0b003",
        "936400ff",
        "93ff8700",
    ],
    "Children park": [
        "93fefefe",
        "93050896",
        "93f0a602",
        "93ff00b4",
        "93b900ff",
        "9300aaff",
        "93ffeb00",
    ],
    "Thunder": [
        "93fefefe",
        "9303064a",
        "93f0a582",
        "930037ff",
        "93ffffff",
    ],
    "Red meteor": [
        "93fefefe",
        "93020237",
        "93f04800",
        "93ff0000",
    ],
    "Green meteor": [
        "93fefefe",
        "93020246",
        "93f04800",
        "9300ff0f",
    ],
    "Blue meteor": [
        "93fefefe",
        "9302027d",
        "93f04800",
        "930046ff",
    ],
    "Forest": [
        "93fefefe",
        "9303045a",
        "93f01580",
        "9332ff00",
        "93ffa500",
    ],
    "Cherry lake": [
        "93fefefe",
        "9303050d",
        "93f01680",
        "93ff738e",
        "9304ff84",
    ],
    "World cup": [
        "93fefefe",
        "9304057f",
        "93f02200",
        "930037ff",
        "93ffe100",
        "930089ce",
    ],
    "Sunset": [
        "93fefefe",
        "930404dd",
        "93f00500",
        "936400ff",
        "93ff0000",
        "93ff8700",
    ],
    "Tide": [
        "93fefefe",
        "93040775",
        "93f09a82",
        "930050ff",
        "933d98ff",
        "9395b2ff",
    ],
    "Lilac": [
        "93fefefe",
        "930407f8",
        "93f00800",
        "93fdb7ff",
        "93cb34ff",
        "93d977ff",
    ],
    "Witch hut": [
        "93fefefe",
        "93030381",
        "93f02500",
        "936900ff",
        "9300ff05",
    ],
    "Cranberry": [
        "93fefefe",
        "93030388",
        "93f01580",
        "93ff0000",
        "9300ff05",
    ],
    "Tricolor": [
        "93fefefe",
        "93040563",
        "93f08803",
        "93ff0000",
        "930087ff",
        "9300ff64",
    ],
    "Color star": ["05810cc0"],
    "Lover": ["05ba0150"],
    "Treasure": ["06bb0330"],
    "Heavy traffic": ["06a01d00"],
    "Weird story": ["06900e00"],
    "Green field": ["06950160"],
    "Seaman": ["06960100"],
    "Purple link": ["069e0e00"],
    "Blue link": ["069d0e00"],
    "Orange star": ["05870f70"],
    "Green star": ["05820f70"],
    "Red star": ["05860f70"],
    "Dusk": ["06920f00"],
    "Innocence": [
        "93fefefe",
        "93060c28",
        "93f01300",
        "935ab4ff",
        "93ff7878",
        "93a9ffac",
        "93d696ff",
        "93fff477",
    ],
    "Red alert": ["06a90100"],
    "Blue alert": ["06a70100"],
}
